Đến nội dung


Hình ảnh
- - - - -

Cách Xác Định Tọa Độ Điểm Miền Trong Miền Ngoài Của Một Đa Giác!


  • Please log in to reply
13 replies to this topic

#1 neversaynever1615

neversaynever1615

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 August 2015 - 04:56 PM

Mình muốn viết 1 lisp offset tự động một đa giác vào phía trong nhưng đến bước pick chọn miền trong thì mình không biết làm sau để lấy được tọa độ bên trong đa giác để gán vào bước chọn miền trong lệnh offset. Mong các cả nhà giúp mình với…!


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 07 August 2015 - 05:11 PM

1). Đừng viết chữ màu vàng nhìn đau mắt lắm.

2). Nếu bạn biết các hàm vla(x) thì chuyện này là đơn giản: offset 1 trong 1 ngoài rồi so sánh diện tích, sau đó delete cái lớn.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 neversaynever1615

neversaynever1615

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 August 2015 - 05:42 PM

Thanks anh nhiều, anh ơi a có thể cho e xin ví dụ thực tế được không a, lisp của em đang viết dỡ dang anh xem bổ sung giúp e được không anh!


  • 0

#4 neversaynever1615

neversaynever1615

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 August 2015 - 05:46 PM

http://www.cadviet.c...144952_ot_1.lsp


  • 0

#5 thanhvan91

thanhvan91

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 August 2015 - 09:55 PM

Cảm ơn chủ top nhiều ạ...


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 07 August 2015 - 10:28 PM

Thử paste dòng này vào command và enter xem sao:

(and (vl-load-com) (vla-offset (vlax-ename->vla-object (car (entsel "Chon doi tuong can offset: "))) 10))


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 07 August 2015 - 10:41 PM

Thử paste dòng này vào command và enter xem sao:

(and (vl-load-com) (vlax-invoke (vlax-ename->vla-object (car (entsel "Chon doi tuong can offset: "))) 'Offset 10))

Bác Hà có thể giải thích cho em hàm vlax-invoke trong cấu trúc trên dc ko ạ? Em cảm ơn bác nhiều


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 07 August 2015 - 10:43 PM

Bác Hà có thể giải thích cho em hàm vlax-invoke trong cấu trúc trên dc ko ạ? Em cảm ơn bác nhiều

Tôi vừa sửa lại cho dễ hiểu ở trên.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 07 August 2015 - 10:45 PM

Tôi vừa sửa lại cho dễ hiểu ở trên.

Ok. Vậy là em hiểu nguyên tắc rồi. Cảm ơn bác nhiều.


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#10 neversaynever1615

neversaynever1615

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 August 2015 - 10:48 PM

Tôi vừa sửa lại cho dễ hiểu ở trên.

cảm ơn anh nhiều nhe, đúng như ý đồ của mình, vui quá! 


  • 0

#11 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 07 August 2015 - 10:55 PM

Cho em hỏi thêm 1 chút. Nếu em muốn tìm hiểu các cấu trúc của Vla-, Vlax- thì tìm ở đâu ạ?

Và một số kiểu như 'Offset 'intersectwith 'InsertionPoint 'GetBoundingBox, ........thì lấy ở đâu các chữ đó ạ? Hic hic. Em thích các hàm này lắm.


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#12 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 08 August 2015 - 08:00 AM

Cứ chịu khó đào bới Help của Cad và xin xỏ thêm cụ Gồ là có cả.

Đây là Help:

67029_method.png


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#13 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 993 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 08 August 2015 - 06:10 PM

Cứ chịu khó đào bới Help của Cad và xin xỏ thêm cụ Gồ là có cả.

Đây là Help:

67029_method.png

Em cảm ơn bác Hạ nhiều!


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#14 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 08 August 2015 - 07:24 PM

Sẵn Topic này chẳng liên quan chủ đề chính, mình share tài liệu "Sử dụng biến môi trường cho (setenv variable value) or (getenv variable)"  và biến hệ thống luôn cho thêm đa dạng Topic :) :

Biến môi trường :

http://www.cadviet.c...t_variables.pdf

Biến hệ thống :

http://www.cadviet.c...m_variables.pdf


  • 5